execScriptlets(): fixed initialization of 'start'
[util-vserver.git] / util-vserver / scripts / vrpm
index b5ff107..2a20943 100755 (executable)
@@ -16,9 +16,9 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 
-: ${UTIL_VSERVER_VARS:=$(dirname $0)/util-vserver-vars}
+: ${UTIL_VSERVER_VARS:=/usr/lib/util-vserver/util-vserver-vars}
 test -e "$UTIL_VSERVER_VARS" || {
-    echo "Can not find util-vserver installation; aborting..."
+    echo $"Can not find util-vserver installation (the file '$UTIL_VSERVER_VARS' would be expected); aborting..." >&2
     exit 1
 }
 . "$UTIL_VSERVER_VARS"
@@ -26,18 +26,24 @@ test -e "$UTIL_VSERVER_VARS" || {
 
 function showHelp()
 {
-    echo "Usage: $0 <vserver-name>* [--all] [--help] [--version] [--unify] -- <rpm-params>+"
+    echo \
+$"Usage: $0 <vserver-name>* [--all] [--help] [--version] [--unify] -- <rpm-params>+
+
+Report bugs to <$PACKAGE_BUGREPORT>."
+
     exit $1
 }
 
 function showVersion()
 {
-    cat <<EOF 
-vrpm 0.23.5 -- rpm for vservers
+    echo \
+$"vrpm $PACKAGE_VERSION -- rpm for vservers
+This program is part of $PACKAGE_STRING
+
 Copyright (C) 2003 Enrico Scholz
 This program is free software; you may redistribute it under the terms of
-the GNU General Public License.  This program has absolutely no warranty.
-EOF
+the GNU General Public License.  This program has absolutely no warranty."
+    
     exit $1
 }
 
@@ -70,7 +76,14 @@ cnt=0
 res=255
 for i in "${vservers[@]}"; do
     cnt=$[ cnt + 1 ]
-    "$_NEW_NAMESPACE" "$_VRPM_WORKER" "$i" "$@"
+
+    if pkgmgmt.isInternal "$i"; then
+       $_VSERVER "$i" exec rpm "$@"
+    else
+       callInNamespace "$i" \
+           "$_VNAMESPACE" --new -- "$_VRPM_WORKER" "$i" "$@"
+    fi
+
     res=$?
 done